probe::nfsd.createv3
Prev | Chapter 31. Network File Storage Tapsets | Next

## Name

probe::nfsd.createv3 — NFS server creating a regular file or set file attributes for client

## Synopsis

    nfsd.createv3

## Values

`filelen`

  the length of file name

`fh`

  file handle (the first part is the length of the file handle)

`iap_mode`

  file access mode

`filename`

  file name

`iap_valid`

  Attribute flags

`client_ip`

  the ip address of client

`createmode`

  create mode .The possible values could be: NFS3_CREATE_EXCLUSIVE, NFS3_CREATE_UNCHECKED, or NFS3_CREATE_GUARDED

`truncp`

  trunp arguments, indicates if the file shouldbe truncate

`verifier`

  file attributes (atime,mtime,mode). It's used to reset file attributes for CREATE_EXCLUSIVE

## Description

This probepoints is only called by nfsd3_proc_create and nfsd4_open when op_claim_type is NFS4_OPEN_CLAIM_NULL.

Prev | Up | Next
probe::nfsd.create | Home | probe::nfsd.dispatch